"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
/**
 * @param {function} callback
 * @return {function}
 */
const useStableCallback = callback => {
  const ref = (0, _react.useRef)(null);
  ref.current = callback;
  return (0, _react.useCallback)(function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    return ref.current?.(...args);
  }, []);
};
var _default = exports.default = useStableCallback;
module.exports = exports.default;
module.exports.default = exports.default;