"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useMergedTheme = void 0;
var _react = require("react");
var _themes = require("nebenan-helpers/lib/themes");
/**
 * @function
 * @param baseTheme
 * @param passedTheme
 * @return {*}
 */
const useMergedTheme = (baseTheme, passedTheme) => (0, _react.useMemo)(() => (0, _themes.mergeThemes)(baseTheme, passedTheme), [baseTheme, passedTheme]);
exports.useMergedTheme = useMergedTheme;