"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
/**
 * @return {React.MutableRefObject<boolean>}
 */
const useMounted = () => {
  const isMounted = (0, _react.useRef)(false);
  (0, _react.useEffect)(() => {
    isMounted.current = true;
    return () => {
      isMounted.current = false;
    };
  }, []);
  return isMounted;
};
var _default = exports.default = useMounted;
module.exports = exports.default;
module.exports.default = exports.default;